Summary:	PDF reader optimised for scientific literature
Name:		utopia-documents
Version:	3.0.1
Release:	%mkrel 1
License:	GPLv3
Group:		Office/Utilities
URL:		http://utopiadocs.com/
Source0:	http://utopiadocs.com/files/%{name}-%{version}.tgz
Patch0:		%{name}_config-build.patch
Patch1:		%{name}_linkage.patch
BuildRequires:	zip
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(libpcrecpp)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	qglviewer-devel
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	swig

%description
Utopia Documents is a free PDF reader that connects the static content of
scientific articles to the dynamic world of online content.

It makes it easy to explore an article's content and claims, and investigate
other recent articles that discuss the same or similar topics, get access to
an article's metadata, generate a formatted citation for use in your own work,
follow bibliographic links to cited articles, get a document's related data,
and see what other researchers have been saying about the article you're
reading and its subject in social networks.

%prep
%setup -q
%autopatch -p1

%build
%setup_compile_flags

%configure2_5x --release

%make -C build

%install
%make_install -C build

# Put the icons in the right directory.
mv %{buildroot}%{_iconsdir}/gnome %{buildroot}%{_iconsdir}/Adwaita

%files
%{_bindir}/%{name}
%{_prefix}/lib/%{name}/
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/Adwaita/*/apps/*.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/


%changelog
* Wed Mar 01 2017 filipesaraiva <filipesaraiva> 3.0.1-1.mga6
+ Revision: 1088402
- Add zip dependence;
- Add poppler dependence;
- Update Utopia Documents to 3.0.1 version;
- Remove unused patches for this version;
- Modify some necessary patches for this version;
- Update dependencies;

* Sun Jul 17 2016 pterjan <pterjan> 2.4.4-10.mga6
+ Revision: 1042436
- Fix build when qreal != double

* Sun Jul 17 2016 pterjan <pterjan> 2.4.4-9.mga6
+ Revision: 1042390
- libqglviewer was patched to build on arm

* Sun Jul 17 2016 pterjan <pterjan> 2.4.4-8.mga6
+ Revision: 1042314
- Exclude armv7hl too

* Sat Apr 02 2016 pterjan <pterjan> 2.4.4-7.mga6
+ Revision: 997552
- Exclude armv5tl which is not supported by libqglviewer

* Mon Feb 01 2016 daviddavid <daviddavid> 2.4.4-6.mga6
+ Revision: 929834
- add patch7 from Debian to fix compatibility with boost 1.60
- switch BRs to pkgconfig()
- use %%configure2_5x macro
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 daviddavid <daviddavid> 2.4.4-5.mga6
+ Revision: 883842
- rebuild for new boost 1.59.0

* Sun Sep 13 2015 filipesaraiva <filipesaraiva> 2.4.4-4.mga6
+ Revision: 878947
- Add patch to fix SWIG blocks delimiters and comments;
- Try to rebuild to use glew 1.13;
- Change release number;
- Try to rebuild to use glew 1.13

  + fwang <fwang>
    - add more ubuntu patches

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Mon Feb 09 2015 shlomif <shlomif> 2.4.4-3.mga6
+ Revision: 814256
- Move icons directory from /gnome to /Adwaita

* Wed Oct 15 2014 umeabot <umeabot> 2.4.4-2.mga5
+ Revision: 741834
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 filipesaraiva <filipesaraiva> 2.4.4-1.mga5
+ Revision: 725829
- Add patch to build with glew 1.11
- Modify libglew dependence

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + fwang <fwang>
    - fix linkage
    - new version 2.4.4

  + luigiwalser <luigiwalser>
    - rebuild for glew

* Wed Aug 13 2014 filipesaraiva <filipesaraiva> 2.4.2-3.mga5
+ Revision: 662270
- Change Group tag;
- mkrel increment;

* Tue Aug 12 2014 filipesaraiva <filipesaraiva> 2.4.2-2.mga5
+ Revision: 662124
- Change pushd commands to %%make and %%makeinstall_std -C option;
- mkrel increment;

* Tue Aug 12 2014 filipesaraiva <filipesaraiva> 2.4.2-1.mga5
+ Revision: 662085
- More changes in %%files section
- Change %%files section to solve 'standard-dir-owned-by-package' error
- Change permissions of icons source to fix 'standard-dir-owned-by-package' error;
- Patch to fix .desktop file
- Add zip as build requires
- Add QtWebkit dependence
- Fix wrong dependences names
- Add libQGLViewer as build requires dependence
- Fix wrong name dependences
- Fix PCRECPP dependence;
- Add missed build require dependencie PCRE;
- Fix summary
- imported package utopia-documents

